window.onload = function(){
	var savedData = localStorage.getItem("memo");
	var sdate = localStorage.getItem("date");

	var output = document.getElementById("memoArea");
	var saveButton = document.getElementById("memoAdd");
	var deleteButton = document.getElementById("memoDel");
	//var saveddate = document.getElementById("saved_time");
	
	detectBrowser();
	
	if (sdate != null) {
		document.getElementById('saved_time').innerHTML = "保存時刻：" + sdate;
	}
	output.textContent = savedData;
	
	saveButton.addEventListener('click', function(){
		saveData(output);
	}, false);

	deleteButton.addEventListener('click', function(){
		deleteData();
	}, false);

	// ブラウザの判別
	function detectBrowser() {
		var useragent = navigator.userAgent;
		var memodiv = document.getElementById("memoArea");

		if (useragent.indexOf('iPhone') != -1 || useragent.indexOf('Android') != -1 ) {
			memodiv.style.width = '100%';
			memodiv.style.height = '100%';
		} else {
			memodiv.style.width = '600px';
	  		memodiv.style.height = '300px';
		}
	}
}

	function saveData(output){
		var text = output.value;
		var ddtt = new Date();
		localStorage.setItem("memo", text);
		localStorage.setItem("date", ddtt);
		window.location.reload();
		alert("メモを保存しました。");
	}

	function deleteData(){
		//localStorage.removeItem("memo");
		localStorage.clear();
		window.location.reload();
		alert("メモを削除しました。");
}